Bug 10580 - Remove NoZebra reference from Makefile.pl
Summary: Remove NoZebra reference from Makefile.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-12 08:25 UTC by Katrin Fischer
Modified: 2015-06-04 23:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10580: Zebra no more optional in Koha setup (23.28 KB, patch)
2014-01-24 15:26 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10580: Zebra no more optional in Koha setup (23.09 KB, patch)
2014-01-24 15:31 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10580: Zebra no more optional in Koha setup (23.15 KB, patch)
2014-02-16 09:04 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10580: Zebra no more optional in Koha setup (23.20 KB, patch)
2014-02-21 13:21 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-07-12 08:25:26 UTC
When running Makefile.pl you are still asked if you want to install the zebra configuration files and it states:

Koha will default to using its internal serach engine.
Comment 1 Tomás Cohen Arazi 2014-01-24 15:26:41 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2014-01-24 15:31:11 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2014-02-16 09:04:42 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2014-02-21 13:21:53 UTC
Created attachment 25531 [details] [review]
Bug 10580: Zebra no more optional in Koha setup

Running Makefile.PL asks the user whether to install the Zebra configuration
files and different texts relate to the user having chosen to use Zebra.

This patch removes references to choosing to use Zebra and removes the related
variables from the code.

To test:
- Apply the patch
- Go through the different install modes
- Verify that nothing nothing is broken
- Sign off

Regards
To+

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Galen Charlton 2014-02-21 17:44:42 UTC
Pushed to master, along with a follow-up tweaking the wording about checking for the presence of Zebra.

Thanks, Tomás!
Comment 6 Fridolin Somers 2014-05-21 08:40:34 UTC
Pushed to 3.14.x, will be in 3.14.07
Comment 7 Kyle M Hall 2014-06-06 13:54:47 UTC
Pushed to 3.12.x will be in 3.12.13
Comment 8 Kyle M Hall 2014-06-06 13:55:07 UTC
Pushed to 3.12.x will be in 3.12.13